path: /build/build/nvidia-535-kernel-open-modules-kernel-6.1-535.183.01.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-535/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge =x11-drivers/nvidia-kernel-modules-535.183.01
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.183.01
  - |
    eval 'rm -rf /nvidia-535-kernel-open-modules || true' && mkdir /nvidia-535-kernel-open-modules && \
    luet-portage --dir /nvidia-535-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-535-kernel-open-modules/lib/modules/nvidia-open/535.183.01/6.1.104-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1f14d268cd77b5cca43cd127fe242f13b89b8e5060f5912163173d424e994823
  package:
    name: nvidia-535-kernel-open-modules
    version: 535.183.01
    category: kernel-6.1
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-28 19:28:57.766850889 +0000 UTC m=+638.130312824
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.104
      original.package.slot: "535"
      original.package.version: 535.183.01
    treedir: /build/packages
  package_dir: /nvidia-535-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b582ea6c0d5fb621d66cc02eaf40dc7e3a40974be882d30e5769c20263b96690
compressiontype: zstd
files:
- lib/modules/nvidia-open/535.183.01/6.1.104-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia-open/535.183.01/6.1.104-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia-open/535.183.01/6.1.104-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia-open/535.183.01/6.1.104-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-535-kernel-open-modules
  version: 535.183.01
  category: kernel-6.1
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.104
    original.package.slot: "535"
    original.package.version: 535.183.01
